curl --request GET \
--url https://api.stackone.com/unified/hris/tasks/{id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'x-account-id: <x-account-id>'import requests
url = "https://api.stackone.com/unified/hris/tasks/{id}"
headers = {
"x-account-id": "<x-account-id>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-account-id': '<x-account-id>', Authorization: 'Basic <encoded-value>'}
};
fetch('https://api.stackone.com/unified/hris/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
"remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
"employee_id": "cx280928937",
"name": "Complete onboarding documents",
"description": "Please complete all required onboarding documents in the employee portal",
"type": {
"value": "action",
"source_value": "<string>"
},
"status": {
"value": "open",
"source_value": "<string>"
},
"due_date": "2024-03-20T23:59:59.000Z",
"completion_date": "2024-03-19T15:30:00.000Z",
"assigned_by_employee_id": "cx280928938",
"assigned_by_employee_name": "John Smith",
"link_to_task": "https://provider.com/tasks/123",
"extracted_links": [
"https://provider.com/docs/1",
"https://provider.com/forms/2"
],
"next_task_id": "cx280928939",
"parent_process_name": "Onboarding Tasks",
"comments": [
{
"author_employee_id": "<string>",
"comment": "Approved based on in-person assessment",
"created_at": "2024-03-15T10:00:00.000Z"
}
],
"attachments": [
{
"id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
"remote_id": "8187e5da-dc77-475e-9949-af0f1fa4e4e3",
"name": "My Document",
"category": "templates, forms, backups, etc.",
"contents": [
{
"url": "https://example.com/file.pdf",
"unified_url": "https://api.stackone.com/unified/hris/employees/12345/documents/67890/download",
"file_format": {
"value": "pdf",
"source_value": "application/pdf"
}
}
],
"category_id": "6530",
"created_at": "2021-01-01T01:01:01.000Z",
"updated_at": "2021-01-02T01:01:01.000Z",
"remote_url": "https://example.com/file.pdf",
"file_format": {
"value": "pdf",
"source_value": "application/pdf"
}
}
],
"created_at": "2024-03-15T10:00:00.000Z",
"updated_at": "2024-03-19T15:30:00.000Z"
},
"raw": [
{
"method": "<string>",
"url": "<string>",
"body": {},
"response": {}
}
]
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 412,
"message": "Precondition failed",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}Get Task
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Headers
The account identifier
Set to "heartbeat" to enable keep-alive newline heartbeats during long-running requests. Response includes Preference-Applied: heartbeat header when honored. (RFC 7240)
"heartbeat"
Path Parameters
Query Parameters
Indicates that the raw request result should be returned in addition to the mapped result (default value is false)
Query parameters that can be used to pass through parameters to the underlying provider request by surrounding them with 'proxy' key
The comma separated list of fields that will be returned in the response (if empty, all fields are returned)
"id,remote_id,employee_id,remote_employee_id,name,description,type,status,due_date,completion_date,assigned_by_employee_id,remote_assigned_by_employee_id,assigned_by_employee_name,link_to_task,extracted_links,next_task_id,remote_next_task_id,parent_process_name,comments,attachments,created_at,updated_at,unified_custom_fields"
The comma separated list of fields that will be expanded in the response
"attachments"
Was this page helpful?